Debian Bug report logs - #432298
RM: elvis -- RoQA; orphaned; abandoned upstream

version graph

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Kapil Hari Paranjape <kapil@imsc.res.in>

Date: Mon, 9 Jul 2007 09:15:02 UTC

Severity: normal

Merged with 688077

Fixed in version 2.2.0-12+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kapil@imsc.res.in, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#432298; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
New Bug report received and forwarded. Copy sent to kapil@imsc.res.in, debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: elvis
Date: Mon, 9 Jul 2007 14:44:09 +0530
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

Hello,

The editor "elvis" is a vi clone that has almost (see below) all
features that one would nowadays demand of a vi-like editor. It is
also significantly "lighter" than the popular "vim" editor.

	-rwxr-xr-x root root  451796 2006-10-11 08:13 /usr/bin/elvis
	-rwxr-xr-x root root  990256 2007-01-31 23:54 /usr/bin/vim.tiny
	-rwxr-xr-x root root 1383816 2007-01-31 23:55 /usr/bin/vim.basic	

Note that elvis has syntax highlighting and other features which have
been left out of vim.tiny in order to make the latter "lighter" so
this "measurement" does not present all of elvis' advantages over
vim.

However:
	* the editor has been abandoned upstream since about March 2004.
	* the package currently has only an incomplete implementation
	  of support for multi-byte characters; (see #392727).
	* supporting UTF-8 is a good release goal for lenny. If I am not
	  able to solve #392727 I will consider asking for the removal of
	  "elvis" from lenny.

Hence, this request for help from anyone who has converted a text
manipulation programme (editor!) from pre-UTF-8 single-byte systems to
wide characters.

Regards,

Kapil.


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RFH: elvis -- powerful clone of the vi/ex text editor (with X11 support)' from `RFH: elvis'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 15 Jul 2007 10:27:08 GMT) Full text and rfc822 format available.

Merged 432298 688077 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 09:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: elvis -- a vi-like editor lighter than vim' from 'RFH: elvis -- powerful clone of the vi/ex text editor (with X11 support)' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 09:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#432298; Package wnpp. (Sun, 15 Dec 2013 15:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 15 Dec 2013 15:27:09 GMT) Full text and rfc822 format available.

Message #16 received at 432298@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: 432298@bugs.debian.org, control@bugs.debian.org
Subject: RM: elvis -- RoQA; orphaned; abandoned upstream
Date: Sun, 15 Dec 2013 17:25:02 +0200
reassign 432298 ftp.debian.org
retitle 432298 RM: elvis -- RoQA; orphaned; abandoned upstream
thanks

elvis is dead upstream since 2004.

It even lacks UTF-8 support.[1]

Popcon shows some users for elvis,[2] but considering that it installs 
itself as "vi" alternative with a higher priority than vim that doesn't 
indicate that users actually want to use elvis.

cu
Adrian

[1] http://bugs.debian.org/392727
[2] http://qa.debian.org/popcon.php?package=elvis

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 15 Dec 2013 15:27:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: elvis -- RoQA; orphaned; abandoned upstream' from 'O: elvis -- a vi-like editor lighter than vim' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 15 Dec 2013 15:27:16 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 18 Dec 2013 10:57:18 GMT) Full text and rfc822 format available.

Notification sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Bug acknowledged by developer. (Wed, 18 Dec 2013 10:57:18 GMT) Full text and rfc822 format available.

Message #25 received at 432298-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 432298-close@bugs.debian.org
Cc: elvis@packages.debian.org, elvis@packages.qa.debian.org
Subject: Bug#432298: Removed package(s) from unstable
Date: Wed, 18 Dec 2013 10:50:36 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     elvis |   2.2.0-12 | source, amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
elvis-common |   2.2.0-12 | all
elvis-console |   2.2.0-12 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
elvis-tools |   2.2.0-12 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc

------------------- Reason -------------------
RoQA; orphaned; abandoned upstream
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432298@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/432298

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 18 Dec 2013 10:57:19 GMT) Full text and rfc822 format available.

Notification sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Bug acknowledged by developer. (Wed, 18 Dec 2013 10:57:19 GMT) Full text and rfc822 format available.

Message #30 received at 688077-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 392727-done@bugs.debian.org,547278-done@bugs.debian.org,547401-done@bugs.debian.org,590080-done@bugs.debian.org,688073-done@bugs.debian.org,715863-done@bugs.debian.org,718422-done@bugs.debian.org,688077-done@bugs.debian.org,
Cc: elvis@packages.debian.org, elvis@packages.qa.debian.org
Subject: Bug#432298: Removed package(s) from unstable
Date: Wed, 18 Dec 2013 10:50:46 +0000
Version: 2.2.0-12+rm

Dear submitter,

as the package elvis has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/432298

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Jan 2014 07:38:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:27:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.